 {
    let e = this._$AA.parentNode;
    const t = this._$AM;
    return t !== void 0 && e?.nodeType === 11 && (e = t.parentNode), e;
  }
  get startNode() {
    return this._$AA;
  }
  get endNode() {
    return this._$AB;
  }
  _$AI(e, t = this) {
    e = lo(this, e, t), di(e) ? e === E || e == null || e === "" ? (this._$AH !== E && this._$AR(), this._$AH = E) : e !== this._$AH && e !== we && this._(e) : e._$litType$ !== void 0 ? this.$(e) : e.nodeType !== void 0 ? this.T(e) : hn(e) ? this.k(e) : this._(e);
  }
  O(e) {
    return this._$AA.parentNode.insertBefore(e, this._$AB);
  }
  T(e) {
    this._$AH !== e && (this._$AR(), this._$AH = this.O(e));
  }
  _(e) {
    this._$AH !== E && di(this._$AH) ? this._$AA.nextSibling.data = e : this.T(so.createTextNode(e)), this._$AH = e;
  }
  $(e) {
    const { values: t, _$litType$: o } = e, i = typeof o == "number" ? this._$AC(e) : (o.el === void 0 && (o.el = ui.createElement(gn(o.h, o.h[0]), this.options)), o);
    if (this._$AH?._$AD === i)
      this._$AH.p(t);
    else {
      const r = new vn(i, this), n = r.u(this.options);
      r.p(t), this.T(n), this._$AH = r;
    }
  }
  _$AC(e) {
    let t = Tr.get(e.strings);
    return t === void 0 && Tr.set(e.strings, t = new ui(e)), t;
  }
  k(e) {
    lr(this._$AH) || (this._$AH = [], this._$AR());
    const t = this._$AH;
    let o, i = 0;
    for (const r of e)
      i === t.length ? t.push(o = new No(this.O(ci()), this.O(ci()), this, this.options)) : o = t[i], o._$AI(r), i++;
    i < t.length && (this._$AR(o && o._$AB.nextSibling, i), t.length = i);
  }
  _$AR(e = this._$AA.nextSibling, t) {
    for (this._$AP?.(!1, !0, t); e && e !== this._$AB; ) {
      const o = e.nextSibling;
      e.remove(), e = o;
    }
  }
  setConnected(e) {
    this._$AM === void 0 && (this._$Cv = e, this._$AP?.(e));
  }
}
class gi {
  get tagName() {
    return this.element.tagName;
  }
  get _$AU() {
    return this._$AM._$AU;
  }
  constructor(e, t, o, i, r) {
    this.type = 1, this._$AH = E, this._$AN = void 0, this.element = e, this.name = t, this._$AM = i, this.options = r, o.length > 2 || o[0] !== "" || o[1] !== "" ? (this._$AH = Array(o.length - 1).fill(new String()), this.strings = o) : this._$AH = E;
  }
  _$AI(e, t = this, o, i) {
    const r = this.strings;
    let n = !1;
    if (r === void 0)
      e = lo(this, e, t, 0), n = !di(e) || e !== this._$AH && e !== we, n && (this._$AH = e);
    else {
      const c = e;
      let m, g;
      for (e = r[0], m = 0; m < r.length - 1; m++)
        g = lo(this, c[o + m], t, m), g === we && (g = this._$AH[m]), n ||= !di(g) || g !== this._$AH[m], g === E ? e = E : e !== E && (e += (g ?? "") + r[m + 1]), this._$AH[m] = g;
    }
    n && !i && this.j(e);
  }
  j(e) {
    e === E ? this.element.removeAttribute(this.name) : this.element.setAttribute(this.name, e ?? "");
  }
}
class fn extends gi {
  constructor() {
    super(...arguments), this.type = 3;
  }
  j(e) {
    this.element[this.name] = e === E ? void 0 : e;
  }
}
class yn extends gi {
  constructor() {
    super(...arguments), this.type = 4;
  }
  j(e) {
    this.element.toggleAttribute(this.name, !!e && e !== E);
  }
}
class xn extends gi {
  constructor(e, t, o, i, r) {
    super(e, t, o, i, r), this.type = 5;
  }
  _$AI(e, t = this) {
    if ((e = lo(this, e, t, 0) ?? E) === we)
      return;
    const o = this._$AH, i = e === E && o !== E || e.capture !== o.capture || e.once !== o.once || e.passive !== o.passive, r = e !== E && (o === E || i);
    i && this.element.removeEventListener(this.name, this, o), r && this.element.addEventListener(this.name, this, e), this._$AH = e;
  }
  handleEvent(e) {
    typeof this._$AH == "function" ? this._$AH.call(this.options?.host ?? this.element, e) : this._$AH.handleEvent(e);
  }
}
class $n {
  constructor(e, t, o) {
    this.element = e, this.type = 6, this._$AN = void 0, this._$AM = t, this.options = o;
  }
  get _$AU() {
    return this._$AM._$AU;
  }
  _$AI(e) {
    lo(this, e);
  }
}
const Al = { M: nr, P: ft, A: sr, C: 1, L: bn, R: vn, D: hn, V: lo, I: No, H: gi, N: yn, U: xn, B: fn, F: $n }, Fl = rr.litHtmlPolyfillSupport;
Fl?.(ui, No), (rr.litHtmlVersions ??= []).push("3.2.1");
const Nl = (a, e, t) => {
  const o = t?.renderBefore ?? e;
  let i = o._$litPart$;
  if (i === void 0) {
    const r = t?.renderBefore ?? null;
    o._$litPart$ = i = new No(e.insertBefore(ci(), r), r, void 0, t ?? {});
  }
  return i._$AI(a), i;
};
/**
 * @license
 * Copyright 2017 Google LLC
 * SPDX-License-Identifier: BSD-3-Clause
 */
let li = class extends Lo {
  constructor() {
    super(...arguments), this.renderOptions = { host: this }, this._$Do = void 0;
  }
  createRenderRoot() {
    const e = super.createRenderRoot();
    return this.renderOptions.renderBefore ??= e.firstChild, e;
  }
  update(e) {
    const t = this.render();
    this.hasUpdated || (this.renderOptions.isConnected = this.isConnected), super.update(e), this._$Do = Nl(t, this.renderRoot, this.renderOptions);
  }
  connectedCallback() {
    super.connectedCallback(), this._$Do?.setConnected(!0);
  }
  disconnectedCallback() {
    super.disconnectedCallback(), this._$Do?.setConnected(!1);
  }
  render() {
    return we;
  }
};
li._$litElement$ = !0, li.finalized = !0, globalThis.litElementHydrateSupport?.({ LitElement: li });
const Il = globalThis.litElementPolyfillSupport;
Il?.({ LitElement: li });
(globalThis.litElementVersions ??= []).push("4.1.1");
/**
 * @license
 * Copyright 2017 Google LLC
 * SPDX-License-Identifier: BSD-3-Clause
 */
const Ze = { ATTRIBUTE: 1, CHILD: 2, PROPERTY: 3, BOOLEAN_ATTRIBUTE: 4, EVENT: 5, ELEMENT: 6 }, bi = (a) => (...e) => ({ _$litDirective$: a, values: e });
let vi = class {
  constructor(e) {
  }
  get _$AU() {
    return this._$AM._$AU;
  }
  _$AT(e, t, o) {
    this._$Ct = e, this._$AM = t, this._$Ci = o;
  }
  _$AS(e, t) {
    return this.update(e, t);
  }
  update(e, t) {
    return this.render(...t);
  }
};
/**
 * @license
 * Copyright 2018 Google LLC
 * SPDX-License-Identifier: BSD-3-Clause
 */
const y = bi(class extends vi {
  constructor(a) {
    if (super(a), a.type !== Ze.ATTRIBUTE || a.name !== "class" || a.strings?.length > 2)
      throw Error("`classMap()` can only be used in the `class` attribute and must be the only part in the attribute.");
  }
  render(a) {
    return " " + Object.keys(a).filter((e) => a[e]).join(" ") + " ";
  }
  update(a, [e]) {
    if (this.st === void 0) {
      this.st = /* @__PURE__ */ new Set(), a.strings !== void 0 && (this.nt = new Set(a.strings.join(" ").split(/\s/).filter((o) => o !== "")));
      for (const o in e)
        e[o] && !this.nt?.has(o) && this.st.add(o);
      return this.render(e);
    }
    const t = a.element.classList;
    for (const o of this.st)
      o in e || (t.remove(o), this.st.delete(o));
    for (const o in e) {
      const i = !!e[o];
      i === this.st.has(o) || this.nt?.has(o) || (i ? (t.add(o), this.st.add(o)) : (t.remove(o), this.st.delete(o)));
    }
    return we;
  }
});
/**
 * @license
 * Copyright 2017 Google LLC
 * SPDX-License-Identifier: BSD-3-Clause
 */
const Ul = { attribute: !0, type: String, converter: Co, reflect: !1, hasChanged: ca }, Rl = (a = Ul, e, t) => {
  const { kind: o, metadata: i } = t;
  let r = globalThis.litPropertyMetadata.get(i);
  if (r === void 0 && globalThis.litPropertyMetadata.set(i, r = /* @__PURE__ */ new Map()), r.set(t.name, a), o === "accessor") {
    const { name: n } = t;
    return { set(c) {
      const m = e.get.call(this);
      e.set.call(this, c), this.requestUpdate(n, m, a);
    }, init(c) {
      return c !== void 0 && this.P(n, void 0, a), c;
    } };
  }
  if (o === "setter") {
    const { name: n } = t;
    return function(c) {
      const m = this[n];
      e.call(this, c), this.requestUpdate(n, m, a);
    };
  }
  throw Error("Unsupported decorator location: " + o);
};
function l(a) {
  return (e, t) => typeof t == "object" ? Rl(a, e, t) : ((o, i, r) => {
    const n = i.hasOwnProperty(r);
    return i.constructor.createProperty(r, n ? { ...o, wrapped: !0 } : o), n ? Object.getOwnPropertyDescriptor(i, r) : void 0;
  })(a, e, t);
}
const A = s`
  * {
    -webkit-font-smoothing: antialiased;
    -moz-osx-font-smoothing: grayscale;
    font-variant-numeric: var(--maui-font-variant-numeric, proportional-nums);
  }
`, C = s`
  :host {
    box-sizing: border-box;
  }

  :host *,
  :host *::before,
  :host *::after {
    box-sizing: inherit;
  }
  [hidden] {
    display: none !important;
  }

  .sr-only {
    position: absolute;
    left: -10000px;
    top: auto;
    width: 1px;
    height: 1px;
    overflow: hidden;
    opacity: 0;
  }
`, Xr = {
  lh: {
    mobile: {
      h1: h(`
      font-size: var(--maui-font-size-6);
      line-height: var(--maui-line-height-6);
      `),
      "h1-emphasized": h(`
      font-size: var(--maui-font-size-6);
      line-height: var(--maui-line-height-6);
      `),
      h2: h(`
      font-size: var(--maui-font-size-5);
      line-height: var(--maui-line-height-5);
      `),
      h3: h(`
      font-size: var(--maui-font-size-4);
      line-height: var(--maui-line-height-4);
      `),
      h4: h(`
      font-size: var(--maui-font-size-3);
      line-height: var(--maui-line-height-3);
      `),
      h5: h(`
      font-size: var(--maui-font-size-2);
      line-height: var(--maui-line-height-2);
      `),
      h6: h(`
      font-size: var(--maui-font-size-2);
      line-height: var(--maui-line-height-2);
      `)
    },
    desktop: {
      h1: h(`
      font-size: var(--maui-font-size-7);
      line-height: var(--maui-line-height-7);
      `),
      "h1-emphasized": h(`
      font-size: var(--maui-font-size-7);
      line-height: var(--maui-line-height-7);
      `),
      h2: h(`
      font-size: var(--maui-font-size-6);
      line-height: var(--maui-line-height-6);
      `),
      h3: h(`
      font-size: var(--maui-font-size-5);
      line-height: var(--maui-line-height-5);
      `)
    }
  },
  os: {
    mobile: {
      h1: h(`
      font-family: var(--maui-font-family-headline);
      font-size: var(--maui-font-size-10);
      line-height: var(--maui-line-height-8);
      letter-spacing: var(--maui-letter-spacing-8);
      `),
      "h1-emphasized": h(`
      font-family: var(--maui-font-family-headline);
      font-size: var(--maui-font-size-10);
      line-height: var(--maui-line-height-8);
      letter-spacing: var(--maui-letter-spacing-8);
      `),
      h2: h(`
      font-family: var(--maui-font-family-headline);
      font-size: var(--maui-font-size-8);
      line-height: var(--maui-line-height-6);
      letter-spacing: var(--maui-letter-spacing-6);
      `),
      h3: h(`
      font-family: var(--maui-font-family-headline);
      font-size: var(--maui-font-size-6);
      line-height: var(--maui-line-height-4);
      letter-spacing: var(--maui-letter-spacing-4);
      `),
      h4: h(`
      font-family: var(--maui-font-family-copy);
      font-size: var(--maui-font-size-4);
      line-height: var(--maui-line-height-3);
      letter-spacing: var(--maui-letter-spacing-3);
      `),
      h5: h(`
      font-family: var(--maui-font-family-copy);
      font-size: var(--maui-font-size-3);
      line-height: var(--maui-line-height-2);
      letter-spacing: var(--maui-letter-spacing-2);
      `),
      h6: h(`
      font-family: var(--maui-font-family-copy);
      font-size: var(--maui-font-size-2);
      line-height: var(--maui-line-height-2);
      letter-spacing: var(--maui-letter-spacing-10);
      `)
    },
    desktop: {
      h1: h(`
      font-family: var(--maui-font-family-headline);
      font-size: var(--maui-font-size-11);
      line-height: var(--maui-line-height-9);
      letter-spacing: var(--maui-letter-spacing-9);
      `),
      "h1-emphasized": h(`
      font-family: var(--maui-font-family-headline);
      font-size: var(--maui-font-size-11);
      line-height: var(--maui-line-height-9);
      letter-spacing: var(--maui-letter-spacing-9);
      `),
      h2: h(`
      font-family: var(--maui-font-family-headline);
      font-size: var(--maui-font-size-9);
      line-height: var(--maui-line-height-7);
      letter-spacing: var(--maui-letter-spacing-7);
      `),
      h3: h(`
      font-family: var(--maui-font-family-headline);
      font-size: var(--maui-font-size-7);
      line-height: var(--maui-line-height-5);
      letter-spacing: var(--maui-letter-spacing-5);
      `),
      h4: h(`
      font-family: var(--maui-font-family-copy);
      font-size: var(--maui-font-size-5);
      line-height: var(--maui-line-height-3);
      letter-spacing: var(--maui-letter-spacing-3);
      `),
      h5: h(`
      font-family: var(--maui-font-family-copy);
      font-size: var(--maui-font-size-3);
      line-height: var(--maui-line-height-2);
      letter-spacing: var(--maui-letter-spacing-2);
      `),
      h6: h(`
      font-family: var(--maui-font-family-copy);
      font-size: var(--maui-font-size-2);
      line-height: var(--maui-line-height-2);
      letter-spacing: var(--maui-letter-spacing-10);
      `)
    }
  },
  lx: {
    mobile: {
      h1: h(`
      font-size: var(--maui-font-size-9);
      line-height: var(--maui-line-height-7);
      `),
      "h1-emphasized": h(`
      font-size: var(--maui-font-size-9);
      line-height: var(--maui-line-height-7);
      `),
      h2: h(`
      font-size: var(--maui-font-size-8);
      line-height: var(--maui-line-height-6);
      `),
      h3: h(`
      font-size: var(--maui-font-size-7);
      line-height: var(--maui-line-height-5);
      `),
      h4: h(`
      font-size: var(--maui-font-size-5);
      line-height: var(--maui-line-height-3);
      `),
      h5: h(`
      font-size: var(--maui-font-size-4);
      line-height: var(--maui-line-height-3);
      `),
      h6: h(`
      font-size: var(--maui-font-size-4);
      line-height: var(--maui-line-height-3);
      `)
    },
    desktop: {
      h1: h(`
      font-size: var(--maui-font-size-11);
      line-height: var(--maui-line-height-9);
      `),
      "h1-emphasized": h(`
      font-size: var(--maui-font-size-11);
      line-height: var(--maui-line-height-9);
      `),
      h2: h(`
      font-size: var(--maui-font-size-10);
      line-height: var(--maui-line-height-8);
      `),
      h3: h(`
      font-size: var(--maui-font-size-8);
      line-height: var(--maui-line-height-6);
      `),
      h4: h(`
      font-size: var(--maui-font-size-6);
      line-height: var(--maui-line-height-4);
      `),
      h5: h(`
      font-size: var(--maui-font-size-4);
      line-height: var(--maui-line-height-3);
      `),
      h6: h(`
      font-size: var(--maui-font-size-4);
      line-height: var(--maui-line-height-3);
      `)
    }
  },
  sn: {
    mobile: {
      h1: h(`
      font-size: var(--maui-font-size-9);
      line-height: var(--maui-line-height-8);
      `),
      "h1-emphasized": h(`
      font-size: var(--maui-font-size-9);
      line-height: var(--maui-line-height-8);
      `),
      h2: h(`
      font-size: var(--maui-font-size-8);
      line-height: var(--maui-line-height-7);
      `),
      h3: h(`
      font-size: var(--maui-font-size-7);
      line-height: var(--maui-line-height-5);
      `),
      h4: h(`
      font-size: var(--maui-font-size-4);
      line-height: var(--maui-line-height-4);
      `),
      h5: h(`
      font-size: var(--maui-font-size-3);
      line-height: var(--maui-line-height-2);
      `),
      h6: h(`
      font-size: var(--maui-font-size-3);
      line-height: var(--maui-line-height-2);
      `)
    },
    desktop: {
      h1: h(`
      font-size: var(--maui-font-size-10);
      line-height: var(--maui-line-height-9);
      `),
      "h1-emphasized": h(`
      font-size: var(--maui-font-size-10);
      line-height: var(--maui-line-height-9);
      `),
      h2: h(`
      font-size: var(--maui-font-size-9);
      line-height: var(--maui-line-height-8);
      `),
      h3: h(`
      font-size: var(--maui-font-size-8);
      line-height: var(--maui-line-height-7);
      `),
      h4: h(`
      font-size: var(--maui-font-size-7);
      line-height: var(--maui-line-height-5);
      `),
      h5: h(`
      font-size: var(--maui-font-size-4);
      line-height: var(--maui-line-height-4);
      `),
      h6: h(`
        font-size: var(--maui-font-size-4);
        line-height: var(--maui-line-height-4);
      `)
    }
  },
  four_y: {
    mobile: {
      h1: h(`
      font-size: var(--maui-font-size-11);
      line-height: var(--maui-line-height-10);
      `),
      "h1-emphasized": h(`
      font-size: var(--maui-font-size-13);
      line-height: var(--maui-line-height-12);
      `),
      h2: h(`
      font-size: var(--maui-font-size-10);
      line-height: var(--maui-line-height-9);
      `),
      h3: h(`
      font-size: var(--maui-font-size-9);
      line-height: var(--maui-line-height-8);
      `),
      h4: h(`
      font-size: var(--maui-font-size-8);
      line-height: var(--maui-line-height-7);
      `),
      h5: h(`
      font-size: var(--maui-font-size-7);
      line-height: var(--maui-line-height-6);
      `),
      h6: h(`
      font-size: var(--maui-font-size-6);
      line-height: var(--maui-line-height-5);
      `)
    },
    desktop: {
      h1: h(`
      font-size: var(--maui-font-size-14);
      line-height: var(--maui-line-height-13);
      `),
      "h1-emphasized": h(`
      font-size: var(--maui-font-size-15);
      line-height: var(--maui-line-height-14);
      `),
      h2: h(`
      font-size: var(--maui-font-size-12);
      line-height: var(--maui-line-height-11);
      `),
      h3: h(`
      font-size: var(--maui-font-size-10);
      line-height: var(--maui-line-height-9);
      `),
      h4: h(`
      font-size: var(--maui-font-size-9);
      line-height: var(--maui-line-height-8);
      `),
      h5: h(`
      font-size: var(--maui-font-size-7);
      line-height: var(--maui-line-height-6 );
      `)
    }
  },
  b2b: {
    mobile: {
      h1: h(`
      font-size: var(--maui-font-size-6);
      line-height: var(--maui-line-height-6);
      `),
      "h1-emphasized": h(`
      font-size: var(--maui-font-size-6);
      line-height: var(--maui-line-height-6);
      `),
      h2: h(`
      font-size: var(--maui-font-size-5);
      line-height: var(--maui-line-height-5);

      `),
      h3: h(`
      font-size: var(--maui-font-size-4);
      line-height: var(--maui-line-height-4);
      `),
      h4: h(`
      font-size: var(--maui-font-size-3);
      line-height: var(--maui-line-height-3);
      `),
      h5: h(`
      font-size: var(--maui-font-size-2);
      line-height: var(--maui-line-height-2);
      `),
      h6: h(`
      font-size: var(--maui-font-size-2);
      line-height: var(--maui-line-height-2);
      `)
    },
    desktop: {
      h1: h(`
      font-size: var(--maui-font-size-7);
      line-height: var(--maui-line-height-7);
      `),
      "h1-emphasized": h(`
      font-size: var(--maui-font-size-7);
      line-height: var(--maui-line-height-7);
      `),
      h2: h(`
      font-size: var(--maui-font-size-6);
      line-height: var(--maui-line-height-6);
      `),
      h3: h(`
      font-size: var(--maui-font-size-5);
      line-height: var(--maui-line-height-5);
      `)
    }
  },
  mmg: {
    mobile: {
      h1: h(`
      font-size: var(--maui-font-size-8);
      line-height: var(--maui-line-height-9);
      `),
      "h1-emphasized": h(`
      font-size: var(--maui-font-size-8);
      line-height: var(--maui-line-height-9);
      `),
      h2: h(`
      font-size: var(--maui-font-size-6);
      line-height: var(--maui-line-height-7);
      `),
      h3: h(`
      font-size: var(--maui-font-size-5);
      line-height: var(--maui-line-height-5);
      `),
      h4: h(`
      font-size: var(--maui-font-size-4);
      line-height: var(--maui-line-height-4);
      `),
      h5: h(`
      font-size: var(--maui-font-size-3);
      line-height: var(--maui-line-height-4);
      `),
      h6: h(`
      font-size: var(--maui-font-size-3);
      line-height: var(--maui-line-height-4);
      `)
    },
    desktop: {
      h1: h(`
      font-size: var(--maui-font-size-10);
      line-height: var(--maui-line-height-11);
      `),
      "h1-emphasized": h(`
      font-size: var(--maui-font-size-10);
      line-height: var(--maui-line-height-11);
      `),
      h2: h(`
      font-size: var(--maui-font-size-9);
      line-height: var(--maui-line-height-10);
      `),
      h3: h(`
      font-size: var(--maui-font-size-7);
      line-height: var(--maui-line-height-8);
      `),
      h4: h(`
      font-size: var(--maui-font-size-5);
      line-height: var(--maui-line-height-6);
      `),
      h5: h(`
      font-size: var(--maui-font-size-4);
      line-height: var(--maui-line-height-4);
      `),
      h6: h(`
      font-size: var(--maui-font-size-4);
      line-height: var(--maui-line-height-4);
      `)
    }
  }
}, Dl = (a = !1) => ({
  lh: {
    mobile: {
      "copy-extra-small": h(`
      font-size: var(--maui-font-size-0);
      ${a ? "" : "line-height: var(--maui-line-height-1)"};
      `),
      "copy-small": h(`
      font-size: var(--maui-font-size-1);
      ${a ? "" : "line-height: var(--maui-line-height-1)"};
      `),
      "copy-medium": h(`
      font-size: var(--maui-font-size-2);
      ${a ? "" : "line-height: var(--maui-line-height-2)"};
      `),
      "copy-large": h(`
      font-size: var(--maui-font-size-3);
      ${a ? "" : "line-height: var(--maui-line-height-3)"};
      `),
      intro: h(`
      font-size: var(--maui-font-size-3);
      ${a ? "" : "line-height: var(--maui-line-height-3)"};
      `)
    }
  },
  os: {
    mobile: {
      "copy-extra-small": h(`
      font-size: var(--maui-font-size-0);
      ${a ? "" : "line-height: var(--maui-line-height-1)"};
      `),
      "copy-small": h(`
      font-size: var(--maui-font-size-1);
      ${a ? "" : "line-height: var(--maui-line-height-1)"};
      `),
      "copy-medium": h(`
      font-size: var(--maui-font-size-2);
      ${a ? "" : "line-height: var(--maui-line-height-2)"};
      letter-spacing: var(--maui-letter-spacing-1);
      `),
      "copy-large": h(`
      font-size: var(--maui-font-size-3);
      ${a ? "" : "line-height: var(--maui-line-height-3)"};
      letter-spacing: var(--maui-letter-spacing-2);
      `),
      intro: h(`
      font-size: var(--maui-font-size-3);
      ${a ? "" : "line-height: var(--maui-line-height-3)"};
      letter-spacing: var(--maui-letter-spacing-2);
      `)
    }
  },
  lx: {
    mobile: {
      "copy-extra-small": h(`
        font-size: var(--maui-font-size-0);
        ${a ? "" : "line-height: var(--maui-line-height-0)"};
        `),
      "copy-small": h(`
      font-size: var(--maui-font-size-1);
      ${a ? "" : "line-height: var(--maui-line-height-1)"};
      `),
      "copy-medium": h(`
      font-size: var(--maui-font-size-2);
      ${a ? "" : "line-height: var(--maui-line-height-2)"};
      `),
      "copy-large": h(`
      font-size: var(--maui-font-size-6);
      ${a ? "" : "line-height: var(--maui-line-height-4)"};
      `),
      intro: h(`
      font-size: var(--maui-font-size-6);
      ${a ? "" : "line-height: var(--maui-line-height-4)"};
      `)
    }
  },
  sn: {
    mobile: {
      "copy-extra-small": h(`
        font-size: var(--maui-font-size-0);
        ${a ? "" : "line-height: var(--maui-line-height-0)"};
        `),
      "copy-small": h(`
      font-size: var(--maui-font-size-1);
      ${a ? "" : "line-height: var(--maui-line-height-3)"};
      `),
      "copy-medium": h(`
      font-size: var(--maui-font-size-2);
      ${a ? "" : "line-height: var(--maui-line-height-4)"};
      `),
      "copy-large": h(`
      font-size: var(--maui-font-size-7);
      ${a ? "" : "line-height: var(--maui-line-height-9)"};
      `),
      intro: h(`
      font-size: var(--maui-font-size-7);
      ${a ? "" : "line-height: var(--maui-line-height-9)"};
      `)
    }
  },
  four_y: {
    mobile: {
      "copy-extra-small": h(`
      font-size: var(--maui-font-size-0);
      ${a ? "" : "line-height: var(--maui-line-height-1)"};
      `),
      "copy-small": h(`
      font-size: var(--maui-font-size-2);
      ${a ? "" : "line-height: var(--maui-line-height-2)"};
      `),
      "copy-medium": h(`
      font-size: var(--maui-font-size-4);
      ${a ? "" : "line-height: var(--maui-line-height-3)"};
      `),
      "copy-large": h(`
      font-size: var(--maui-font-size-5);
      ${a ? "" : "line-height: var(--maui-line-height-4)"};
      `),
      intro: h(`
      font-size: var(--maui-font-size-6);
      ${a ? "" : "line-height: var(--maui-line-height-4)"};
      `)
    }
  },
  b2b: {
    mobile: {
      "copy-extra-small": h(`
      font-size: var(--maui-font-size-0);
      ${a ? "" : "line-height: var(--maui-line-height-1)"};
      `),
      "copy-small": h(`
      font-size: var(--maui-font-size-1);
      ${a ? "" : "line-height: var(--maui-line-height-1)"};
      `),
      "copy-medium": h(`
      font-size: var(--maui-font-size-2);
      ${a ? "" : "line-height: var(--maui-line-height-2)"};
      `),
      "copy-large": h(`
      font-size: var(--maui-font-size-3);
      ${a ? "" : "line-height: var(--maui-line-height-3)"};
      `),
      intro: h(`
      font-size: var(--maui-font-size-3);
      ${a ? "" : "line-height: var(--maui-line-height-3)"};
      `)
    }
  },
  mmg: {
    mobile: {
      "copy-extra-small": h(`
      font-size: var(--maui-font-size-1);
      ${a ? "" : "line-height: var(--maui-line-height-1)"};
      `),
      "copy-small": h(`
      font-size: var(--maui-font-size-1);
      ${a ? "" : "line-height: var(--maui-line-height-1)"};
      `),
      "copy-medium": h(`
      font-size: var(--maui-font-size-2);
      ${a ? "" : "line-height: var(--maui-line-height-2)"};
      `),
      "copy-large": h(`
      font-size: var(--maui-font-size-3);
      ${a ? "" : "line-height: var(--maui-line-height-4)"};
      `),
      intro: h(`
      font-size: var(--maui-font-size-3);
      ${a ? "" : "line-height: var(--maui-line-height-4)"};
      `)
    }
  }
}), El = (a = !1) => ({
  lh: {
    mobile: {
      "button-small": h(`
      font-size: var(--maui-font-size-2);
      ${a ? "" : "line-height: var(--maui-line-height-2);"}
      `),
      "button-medium": h(`
      font-size: var(--maui-font-size-3);
      ${a ? "" : "line-height: var(--maui-line-height-3);"}
      `),
      "forms-large": h(`
      font-size: var(--maui-font-size-3);
      ${a ? "" : "line-height: var(--maui-line-height-3);"}
      `),
      "forms-medium": h(`
      font-size: var(--maui-font-size-2);
      ${a ? "" : "line-height: var(--maui-line-height-2);"}
      `),
      "forms-small": h(`
      font-size: var(--maui-font-size-1);
      ${a ? "" : "line-height: var(--maui-line-height-1);"}
      `),
      "link-small": h(`
      font-size: var(--maui-font-size-1);
      ${a ? "" : "line-height: var(--maui-line-height-1);"}
      `),
      "link-medium": h(`
      font-size: var(--maui-font-size-2);
      ${a ? "" : "line-height: var(--maui-line-height-2);"}
      `),
      "link-large": h(`
      font-size: var(--maui-font-size-3);
      ${a ? "" : "line-height: var(--maui-line-height-3);"}
      `),
      notification: h(`
      font-size: var(--maui-font-size-notification-headline);
      ${a ? "" : "line-height: var(--maui-line-height-3);"}
      `),
      collapsible: h(`
      font-size: var(--maui-font-size-3);
      ${a ? "" : "line-height: var(--maui-line-height-3);"}
      `),
      caption: h(`
      font-size: var(--maui-font-size-2);
      ${a ? "" : "line-height: var(--maui-line-height-2);"}
      `)
    }
  },
  os: {
    mobile: {
      "button-small": h(`
      font-size: var(--maui-font-size-1);
      ${a ? "" : "line-height: var(--maui-line-height-1-condensed);"}
      letter-spacing: var(--maui-letter-spacing-10);
      `),
      "button-medium": h(`
      font-size: var(--maui-font-size-2);
      ${a ? "" : "line-height: var(--maui-line-height-2);"}
      letter-spacing: var(--maui-letter-spacing-10);
      `),
      "forms-large": h(`
      font-size: var(--maui-font-size-2);
      ${a ? "" : "line-height: var(--maui-line-height-3);"}
      letter-spacing: var(--maui-letter-spacing-9);
      `),
      "forms-medium": h(`
      font-size: var(--maui-font-size-2);
      ${a ? "" : "line-height: var(--maui-line-height-2);"}
      letter-spacing: var(--maui-letter-spacing-9);
      `),
      "forms-small": h(`
      font-size: var(--maui-font-size-1);
      ${a ? "" : "line-height: var(--maui-line-height-0);"}
      letter-spacing: var(--maui-letter-spacing-2);
      `),
      "link-small": h(`
      font-size: var(--maui-font-size-1);
      ${a ? "" : "line-height: var(--maui-line-height-1);"}
      letter-spacing: var(--maui-letter-spacing-7);
      `),
      "link-medium": h(`
      font-size: var(--maui-font-size-2);
      ${a ? "" : "line-height: var(--maui-line-height-2);"}
      letter-spacing: var(--maui-letter-spacing-8);
      `),
      "link-large": h(`
      font-size: var(--maui-font-size-3);
      ${a ? "" : "line-height: var(--maui-line-height-3);"}
      letter-spacing: var(--maui-letter-spacing-9);
      `),
      notification: h(`
      font-size: var(--maui-font-size-3);
      ${a ? "" : "line-height: var(--maui-line-height-2);"}
      letter-spacing: var(--maui-letter-spacing-2);
      `),
      collapsible: h(`
      font-size: var(--maui-font-size-3);
      ${a ? "" : "line-height: var(--maui-line-height-3);"}
      letter-spacing: var(--maui-letter-spacing-2);
      `),
      "collapsible-nested": h(`
      font-size: var(--maui-font-size-2);
      ${a ? "" : "line-height: var(--maui-line-height-2);"}
      letter-spacing: var(--maui-letter-spacing-1);
      `),
      caption: h(`
      font-size: var(--maui-font-size-2);
      ${a ? "" : "line-height: var(--maui-line-height-2);"}
      `)
    }
  },
  lx: {
    mobile: {
      "button-small": h(`
      font-size: var(--maui-font-size-2);
      ${a ? "" : "line-height: var(--maui-line-height-2-condensed);"}
      `),
      "button-medium": h(`
      font-size: var(--maui-font-size-3);
      ${a ? "" : "line-height: var(--maui-line-height-3-condensed);"}
      `),
      "forms-large": h(`
      font-size: var(--maui-font-size-3);
      ${a ? "" : h`line-height: var(--maui-line-height-3-condensed);`}
      `),
      "forms-medium": h(`
      font-size: var(--maui-font-size-2);
      ${a ? "" : "line-height: var(--maui-line-height-2);"}
      `),
      "forms-small": h(`
      font-size: var(--maui-font-size-1);
      ${a ? "" : "line-height: var(--maui-line-height-1);"}
      `),
      "link-small": h(`
      font-size: var(--maui-font-size-1);
      ${a ? "" : "line-height: var(--maui-line-height-1);"}
      `),
      "link-medium": h(`
      font-size: var(--maui-font-size-2);
      ${a ? "" : "line-height: var(--maui-line-height-2);"}
      `),
      "link-large": h(`
      font-size: var(--maui-font-size-6);
      ${a ? "" : "line-height: var(--maui-line-height-4);"}
      `),
      notification: h(`
      font-size: var(--maui-font-size-4);
      ${a ? "" : "line-height: var(--maui-line-height-3);"}
      `),
      collapsible: h(`
      font-size: var(--maui-font-size-4);
      ${a ? "" : "line-height: var(--maui-line-height-3);"}
      `),
      "collapsible-nested": h(`
      font-size: var(--maui-font-size-3);
      ${a ? "" : "line-height: var(--maui-line-height-2);"}
      `),
      caption: h(`
      font-size: var(--maui-font-size-2);
      ${a ? "" : "line-height: var(--maui-line-height-2);"}
      `)
    }
  },
  sn: {
    mobile: {
      "button-small": h(`
      font-size: var(--maui-font-size-1);
      ${a ? "" : "line-height: var(--maui-line-height-1);"}
      `),
      "button-medium": h(`
      font-size: var(--maui-font-size-3);
      ${a ? "" : "line-height: var(--maui-line-height-3);"}
      `),
      "forms-large": h(`
      font-size: var(--maui-font-size-2);
      ${a ? "" : "line-height: var(--maui-line-height-4);"}
      `),
      "forms-medium": h(`
      font-size: var(--maui-font-size-2);
      ${a ? "" : "line-height: var(--maui-line-height-2);"}
      `),
      "forms-small": h(`
      font-size: var(--maui-font-size-0);
      ${a ? "" : "line-height: var(--maui-line-height-0);"}
      `),
      "link-small": h(`
      font-size: var(--maui-font-size-1);
      ${a ? "" : "line-height: var(--maui-line-height-1);"}
      `),
      "link-medium": h(`
      font-size: var(--maui-font-size-2);
      ${a ? "" : "line-height: var(--maui-line-height-2);"}
      `),
      "link-large": h(`
      font-size: var(--maui-font-size-7);
      ${a ? "" : "line-height: var(--maui-line-height-7);"}
      `),
      notification: h(`
      font-size: var(--maui-font-size-2);
      ${a ? "" : "line-height: var(--maui-line-height-4);"}
      `),
      collapsible: h(`
      font-size: var(--maui-font-size-4);
      ${a ? "" : "line-height: var(--maui-line-height-4);"}
      `),
      "collapsible-nested": h(`
      font-size: var(--maui-font-size-3);
      ${a ? "" : "line-height: var(--maui-line-height-4);"}
      `),
      caption: h(`
      font-size: var(--maui-font-size-2);
      ${a ? "" : "line-height: var(--maui-line-height-4);"}
      `)
    }
  },
  four_y: {
    mobile: {
      "button-small": h(`
      font-size: var(--maui-font-size-3);
      ${a ? "" : "line-height: var(--maui-line-height-2);"}
      `),
      "button-medium": h(`
      font-size: var(--maui-font-size-5);
      ${a ? "" : "line-height: var(--maui-line-height-3);"}
      `),
      "forms-large": h(`
      font-size: var(--maui-font-size-4);
      ${a ? "" : "line-height: var(--maui-line-height-3);"}
      `),
      "forms-medium": h(`
      font-size: var(--maui-font-size-2);
      ${a ? "" : "line-height: var(--maui-line-height-2);"}
      `),
      "forms-small": h(`
      font-size: var(--maui-font-size-1);
      ${a ? "" : "line-height: var(--maui-line-height-1);"}
      `),
      "link-small": h(`
      font-size: var(--maui-font-size-2);
      ${a ? "" : "line-height: var(--maui-line-height-2);"}
      `),
      "link-medium": h(`
      font-size: var(--maui-font-size-4);
      ${a ? "" : "line-height: var(--maui-line-height-3);"}
      `),
      "link-large": h(`
      font-size: var(--maui-font-size-5);
      ${a ? "" : "line-height: var(--maui-line-height-4);"}
      `),
      notification: h(`
      font-size: var(--maui-font-size-notification-headline);
      ${a ? "" : "line-height: var(--maui-line-height-3);"}
      `),
      collapsible: h(`
      font-size: var(--maui-font-size-5);
      ${a ? "" : "line-height: var(--maui-line-height-4);"}
      `),
      "collapsible-nested": h(`
      font-size: var(--maui-font-size-4);
      ${a ? "" : "line-height: var(--maui-line-height-3);"}
      `),
      caption: h(`
      font-size: var(--maui-font-size-2);
      ${a ? "" : "line-height: var(--maui-line-height-2);"}
      `)
    }
  },
  b2b: {
    mobile: {
      "button-small": h(`
      font-size: var(--maui-font-size-2);
      ${a ? "" : "line-height: var(--maui-line-height-2);"}
      `),
      "button-medium": h(`
      font-size: var(--maui-font-size-3);
      ${a ? "" : "line-height: var(--maui-line-height-3);"}
      `),
      "forms-large": h(`
      font-size: var(--maui-font-size-3);
      ${a ? "" : "line-height: var(--maui-line-height-3);"}
      `),
      "forms-medium": h(`
      font-size: var(--maui-font-size-2);
      ${a ? "" : "line-height: var(--maui-line-height-2);"}
      `),
      "forms-small": h(`
      font-size: var(--maui-font-size-1);
      ${a ? "" : "line-height: var(--maui-line-height-1);"}
      `),
      "link-small": h(`
      font-size: var(--maui-font-size-1);
      ${a ? "" : "line-height: var(--maui-line-height-1);"}
      `),
      "link-medium": h(`
      font-size: var(--maui-font-size-2);
      ${a ? "" : "line-height: var(--maui-line-height-2);"}
      `),
      "link-large": h(`
      font-size: var(--maui-font-size-3);
      ${a ? "" : "line-height: var(--maui-line-height-3);"}
      `),
      notification: h(`
      font-size: var(--maui-font-notification-headline);
      ${a ? "" : "line-height: var(--maui-line-height-3);"}
      `),
      collapsible: h(`
      font-size: var(--maui-font-size-3);
      ${a ? "" : "line-height: var(--maui-line-height-3);"}
      `),
      caption: h(`
      font-size: var(--maui-font-size-2);
      ${a ? "" : "line-height: var(--maui-line-height-2);"}
      `)
    }
  },
  mmg: {
    mobile: {
      "button-small": h(`
      font-size: var(--maui-font-size-2);
      ${a ? "" : "line-height: var(--maui-line-height-2);"}
      `),
      "button-medium": h(`
      font-size: var(--maui-font-size-3);
      ${a ? "" : "line-height: var(--maui-line-height-4);"}
      `),
      "forms-large": h(`
      font-size: var(--maui-font-size-3);
      ${a ? "" : "line-height: var(--maui-line-height-4);"}
      `),
      "forms-medium": h(`
      font-size: var(--maui-font-size-3);
      ${a ? "" : "line-height: var(--maui-line-height-4);"}
      `),
      "forms-small": h(`
      font-size: var(--maui-font-size-1);
      ${a ? "" : "line-height: var(--maui-line-height-1);"}
      `),
      "link-small": h(`
      font-size: var(--maui-font-size-2);
      ${a ? "" : "line-height: var(--maui-line-height-2);"}
      `),
      "link-medium": h(`
      font-size: var(--maui-font-size-3);
      ${a ? "" : "line-height: var(--maui-line-height-4);"}
      `),
      "link-large": h(`
      font-size: var(--maui-font-size-3);
      ${a ? "" : "line-height: var(--maui-line-height-4);"}
      `),
      notification: h(`
      font-size: var(--maui-font-size-3);
      ${a ? "" : "line-height: var(--maui-line-height-4);"}
      `),
      collapsible: h(`
      font-size: var(--maui-font-size-4);
      ${a ? "" : "line-height: var(--maui-line-height-4);"}
      `),
      caption: h(`
      font-size: var(--maui-font-size-2);
      ${a ? "" : "line-height: var(--maui-line-height-2);"}
      `)
    }
  }
}), b = ({
  size: a,
  tenant: e
}) => {
  const t = Xr[e === "wl" ? "lh" : e].mobile[a], o = h(`${t}`), i = Xr[e === "wl" ? "lh" : e].desktop[a];
  return {
    desktop: h(`${i || t}`),
    mobile: o
  };
}, d = ({
  size: a,
  tenant: e,
  omitLineHeight: t = !1
}) => {
  const o = Dl(t)[e === "wl" ? "lh" : e].mobile[a];
  return h(`${o}`);
}, p = ({
  size: a,
  tenant: e,
  omitLineHeight: t = !1
}) => {
  const o = El(t)[e === "wl" ? "lh" : e].mobile[a];
  return h(`${o}`);
}, Pl = (a) => {
  const e = h(a);
  return s`
    .${e}.default {
      --maui-badge-background-default: var(--maui-color-brand-secondary);
      --maui-badge-text-color: var(
        --maui-badge-text-color-override,
        var(--maui-color-text-copy)
      );
    }

    .${e}.info {
      --maui-badge-background-info: var(--maui-color-grey-02);
    }

    .${e}.mam, .${e}.ftl, .${e}.hon, .${e}.sen {
      --maui-badge-border-radius: var(--maui-radii-default-radius);
      --maui-badge-text-color: var(--maui-color-text-copy-inverted);
    }

    .${e}.eco, .${e}.premium-eco, .${e}.business, .${e}.first {
      --maui-badge-text-color: var(--maui-color-text-copy-inverted);
    }

    .${e}.warning {
      --maui-badge-text-color: var(--maui-color-text-copy);
    }

    .${e}.small {
      ${d({ size: "copy-small", tenant: a })};
      --maui-badge-padding: 1px 6px;
    }

    .${e}.medium {
      ${d({ size: "copy-large", tenant: a })};
      --maui-badge-padding: 2px 6px;
    }

    .${e}.rounded {
      --maui-badge-border-radius: var(--maui-radii-default-radius);
    }
  `;
}, Hl = s`
  ${C}

  ${A}

  :host {
    display: inline;
    position: relative;
  }

  .badge {
    --maui-badge-text-color: var(
      --maui-badge-text-color-override,
      var(--maui-color-brand-light)
    );
    --maui-badge-font-weight: var(
      --maui-badge-font-weight-override,
      var(--maui-font-weight-regular)
    );
    --maui-badge-font-family: var(
      --maui-badge-font-family-override,
      var(--maui-font-family-copy)
    );
    --maui-badge-background: var(
      --maui-badge-background-override,
      var(--maui-badge-background-default)
    );
    --maui-badge-border-radius: 0; /* init for no radius */

    background: var(--maui-badge-background);
    color: var(--maui-badge-text-color);
    padding: var(--maui-badge-padding);
    border: 0;
    border-radius: var(--maui-badge-border-radius);
    display: -webkit-inline-flex;
    display: -ms-inline-flexbox;
    display: inline-flex;
    align-items: center;
    position: relative;
    text-decoration: none;
    white-space: nowrap;
    font-family: var(--maui-font-family-copy);
    font-weight: var(--maui-badge-font-weight);
  }

  /** presets -------------------------- */

  .info {
    --maui-badge-background: var(--maui-badge-background-info);
    --maui-badge-text-color: var(--maui-color-text-copy);
  }

  .success {
    --maui-badge-background: var(--maui-color-message-bg-success);
    --maui-badge-text-color: var(--maui-color-message-success);
  }

  .warning {
    --maui-badge-background: var(--maui-color-message-bg-warning);
    --maui-badge-text-color: var(--maui-color-message-warning);
  }

  .error {
    --maui-badge-background: var(--maui-color-message-bg-error);
    --maui-badge-text-color: var(--maui-color-message-error);
  }

  .mam {
    --maui-badge-background: var(--maui-color-status-member);
  }

  .ftl {
    --maui-badge-background: var(--maui-color-status-frequenttraveller);
  }

  .hon {
    --maui-badge-background: var(--maui-color-status-hon);
  }

  .sen {
    --maui-badge-background: var(--maui-color-status-senator);
  }

  .mam.badge,
  .ftl.badge,
  .hon.badge,
  .sen.badge {
    /* Always bold for status badges in all tenants */
    --maui-badge-font-weight: var(--maui-font-weight-bold);
  }

  .eco {
    --maui-badge-background: var(--maui-color-cabinclass-economy);
  }

  .premium-eco {
    --maui-badge-background: var(--maui-color-cabinclass-premiumeconomy);
  }

  .business {
    --maui-badge-background: var(--maui-color-cabinclass-business);
  }

  .first {
    --maui-badge-background: var(--maui-color-cabinclass-first);
  }

  /** border radius variants -------------------------- */

  .pill {
    --maui-badge-border-radius: var(--maui-radii-pill-radius);
  }

  .rounded {
    --maui-badge-border-radius: var(--maui-badge-border-radius);
  }

  /** size variants -------------------------- */

  .small {
    ${d({ size: "copy-small", tenant: "wl" })};
    height: 20px;
  }

  .medium {
    ${d({ size: "copy-medium", tenant: "wl" })};
    height: 26px;
  }
`, Gl = s`
  ${Pl("lh")}
`, Yl = s`
  .os {
    --maui-badge-font-weight: var(
      --maui-badge-font-weight-override,
      var(--maui-font-weight-bold)
    );
  }

  .os.small {
    ${d({ size: "copy-small", tenant: "os" })};
    --maui-badge-padding: 1px 10px;
  }

  .os.medium {
    ${d({ size: "copy-medium", tenant: "os" })};
    --maui-badge-padding: 2px 6px;
  }

  .os.default {
    --maui-badge-background-default: var(--maui-color-brand-primary);
  }

  .os.info {
    --maui-badge-background-info: var(--maui-color-grey-04);
    --maui-badge-text-color: var(--maui-color-grey-07);
  }

  .os.mam,
  .os.ftl,
  .os.hon,
  .os.sen {
    --maui-badge-border-radius: var(--maui-radii-default-radius);
    --maui-badge-text-color: var(--maui-color-text-copy-inverted);
  }

  .os.eco,
  .os.premium-eco,
  .os.business,
  .os.first {
    --maui-badge-text-color: var(--maui-color-text-copy-inverted);
  }

  .os.rounded {
    --maui-badge-border-radius: var(--maui-radii-default-radius);
  }
`, Tl = s`
  .lx {
    /* Only bold for LX badges */
    --maui-badge-font-weight: var(--maui-font-weight-bold);
  }

  .lx.small {
    ${d({ size: "copy-small", tenant: "lx" })};
    --maui-badge-padding: 1px 5px;
  }

  .lx.medium {
    ${d({ size: "copy-medium", tenant: "lx" })};
    --maui-badge-padding: 2px 6px 0;
  }

  .lx.default {
    --maui-badge-background-default: var(--maui-color-brand-primary);
  }

  .lx.info {
    --maui-badge-background-info: var(--maui-color-message-bg-info);
  }

  .lx.mam,
  .lx.ftl,
  .lx.hon,
  .lx.sen {
    --maui-badge-border-radius: 4px;
    --maui-badge-text-color: var(--maui-color-text-copy-inverted);
  }

  .lx.eco,
  .lx.premium-eco,
  .lx.business,
  .lx.first {
    --maui-badge-text-color: var(--maui-color-text-copy-inverted);
  }

  .lx.rounded {
    --maui-badge-border-radius: 4px;
  }
`, Xl = s`
  .sn.small {
    ${d({ size: "copy-small", tenant: "sn" })};
    --maui-badge-padding: 0 8px;
  }

  .sn.medium {
    ${d({ size: "copy-medium", tenant: "sn" })};
    --maui-badge-padding: 1px 6px;
  }

  .sn.default {
    --maui-badge-background-default: var(--maui-color-brand-primary);
  }

  .sn.info {
    --maui-badge-background-info: var(--maui-color-message-bg-info);
  }

  .sn.mam,
  .sn.ftl,
  .sn.hon,
  .sn.sen {
    --maui-badge-border-radius: 4px;
    --maui-badge-text-color: var(--maui-color-text-copy-inverted);
  }

  .sn.eco,
  .sn.premium-eco,
  .sn.business,
  .sn.first {
    --maui-badge-text-color: var(--maui-color-text-copy-inverted);
  }

  .sn.rounded {
    --maui-badge-border-radius: var(--maui-radii-default-radius);
  }
`, Vl = s`
  .b2b.default {
    --maui-badge-background-default: var(--maui-color-brand-secondary);
    --maui-badge-text-color: var(
      --maui-badge-text-color-override,
      var(--maui-color-text-copy-inverted)
    );
  }

  .b2b.info {
    --maui-badge-background-info: var(--maui-color-grey-02);
  }

  .b2b.mam,
  .b2b.ftl,
  .b2b.hon,
  .b2b.sen {
    --maui-badge-border-radius: var(--maui-radii-default-radius);
    --maui-badge-text-color: var(--maui-color-text-copy-inverted);
  }

  .b2b.eco,
  .b2b.premium-eco,
  .b2b.business,
  .b2b.first {
    --maui-badge-text-color: var(--maui-color-text-copy-inverted);
  }

  .b2b.small {
    ${d({ size: "copy-small", tenant: "b2b" })};
    --maui-badge-padding: 1px 6px;
  }

  .b2b.medium {
    ${d({ size: "copy-large", tenant: "b2b" })};
    --maui-badge-padding: 2px 6px;
  }

  .b2b.rounded {
    --maui-badge-border-radius: var(--maui-radii-default-radius);
  }
`, jl = s`
  .four_y.small {
    ${d({ size: "copy-small", tenant: "four_y" })};
    --maui-badge-padding: 0 8px;
  }

  .four_y.medium {
    ${d({ size: "copy-medium", tenant: "four_y" })};
    --maui-badge-padding: 1px 6px;
  }

  .four_y.default {
    --maui-badge-background-default: var(--maui-color-brand-secondary);
    --maui-badge-text-color: var(
      --maui-badge-text-color-override,
      var(--maui-color-text-copy)
    );
  }

  .four_y.info {
    --maui-badge-background-info: var(--maui-color-message-bg-info);
  }

  .four_y.mam,
  .four_y.ftl,
  .four_y.hon,
  .four_y.sen {
    --maui-badge-border-radius: 4px;
    --maui-badge-text-color: var(--maui-color-text-copy-inverted);
  }

  .four_y.eco,
  .four_y.premium-eco,
  .four_y.business,
  .four_y.first {
    --maui-badge-text-color: var(--maui-color-text-copy-inverted);
  }

  .four_y,
  .four_y.rounded {
    --maui-badge-border-radius: var(--maui-radii-default-radius);
  }
`, ql = s`
  .mmg.small {
    ${d({ size: "copy-small", tenant: "mmg" })};
    --maui-badge-padding: 1px 6px;
  }

  .mmg.medium {
    ${d({ size: "copy-medium", tenant: "mmg" })};
    --maui-badge-padding: 1px 6px;
  }

  .mmg.default {
    --maui-badge-background-default: var(--maui-color-message-bg-info);
    --maui-badge-text-color: var(--maui-color-text-copy);
  }

  .mmg.info {
    --maui-badge-background-info: var(--maui-color-brand-mmg-grey2);
  }

  .mmg.success,
  .mmg.warning,
  .mmg.error {
    --maui-badge-text-color: var(--maui-color-text-copy);
  }

  .mmg.mam,
  .mmg.ftl,
  .mmg.hon,
  .mmg.sen {
    --maui-badge-text-color: var(--maui-color-text-copy-inverted);
    --maui-badge-font-weight: var(--maui-font-weight-bold);
    font-family: var(--maui-font-family-headline);
  }

  .mmg.eco,
  .mmg.premium-eco,
  .mmg.business,
  .mmg.first {
    --maui-badge-text-color: var(--maui-color-text-copy-inverted);
  }

  .mmg,
  